// Cette classe est maintenant obsolete: generaldata <==> ntuple pour le dessin

#ifndef PIGFD2_H
#define PIGFD2_H

#include "generaldata.h"
#include "pi3ddrw.h"

class PIGenFitDat3D : public PIDrawer3D {
public:
                     PIGenFitDat3D(GeneralFitData* gfd, bool ad);
  virtual           ~PIGenFitDat3D();
  
  virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax);
  virtual void       UpdateLimits();
  
          void       SelectXY(int varx,int vary);
          void       SelectErrBar(bool erbx,bool erby,bool erbz);
       
protected:
  GeneralFitData* mGFD;
  bool mAdDO;
  int VarX,VarY;         // numero de variable X,Y ds le GeneralFitData
  bool ErrX,ErrY,ErrZ;   // Erreur en X,Y et Z?
};

#endif

